#include <SPI.h>
#include <nRF24L01.h>
#include <RF24.h>

#include <Wire.h>





#define CE_PIN A6
#define CSN_PIN A7

int x[4];


const byte secAddress[5] = {'R', 'x', 'A', 'A', 'A'};
char cstr[4];




RF24 radio(CE_PIN, CSN_PIN); // CE, CSN

unsigned long currentMillis;
unsigned long prevMillis;
unsigned long txIntervalMillis = 100; // send once per second

void setup() {

  Wire.begin(4);

  Wire.onReceive(receiveEvent); // register event

  radio.begin();
  radio.setDataRate( RF24_250KBPS );
  radio.setRetries(3, 5); // delay, count
  radio.openWritingPipe(secAddress);

  Serial.begin(115200);
}
void loop()
{
  currentMillis = millis();
  if (currentMillis - prevMillis >= txIntervalMillis) {
    send();
    prevMillis = millis();
  }

}

void send()
{
  radio.write( &x, sizeof(x) );

}

void receiveEvent(int howMany)
{
  while (1 < Wire.available()) // loop through all but the last
  {
    x[1] = Wire.read(); 
    Serial.print(x[1]);  
    x[2] = Wire.read();
   
  }
  


  Serial.print(" ");
  Serial.println(x[2]); // print the integer

}
